チェックポイント
Prover ノードによって生成された暗号化同期チェックポイントのリストを取得し、クライアントが特定のブロックの高さに対してデータの整合性を検証できるようにします。
エンドポイント
POST https://indexer.zcashnames.co/v1.0/checkpoints
リクエスト本文
リクエストの本文は、次のパラメータを含む JSON オブジェクトである必要があります。
| パラメータ | タイプ | デフォルト | 説明 |
|---|---|---|---|
count | integer | 100 | 1 つの応答で返されるチェックポイントの最大数を制限します。 |
from_block | integer | なし | この特定のブロック高さから始まるチェックポイント データを要求します。 |
order | string | desc | チェックポイントの並べ替え順序。受け入れられる値: asc または desc。 |
コード例
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.zcashnames.co/v1.0/checkpoints \
-H "Content-Type: application/json" \
-d '{
"count": 2,
"from_block": 1,
"order": "asc"
}'
const url = 'https://indexer.zcashnames.co/v1.0/checkpoints';
const data = {
count: 2,
from_block: 1,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/checkpoints"
payload = {
"count": 2,
"from_block": 1,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/checkpoints';
$data = [
'count' => 2,
'from_block' => 1,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
応答例
{
"response": [
{
"block_id": 3422048,
"smt_root": "b4c9dacf8e194e353dce7638d76f282fe40399f7b0ad74a2229a6d4f5be774de",
"evm_block_id": 290453948,
"evm_tx_hash": "0xcfc86b34ad55450b73511d9ce5b5d33e5e0e2366ceb7ae7e81bdcce62f57de38"
},
{
"block_id": 3422335,
"smt_root": "eba675788f0fbf1df8a3c32e83da3e71dfd9337cca5a7c8ae2f51e963d03be17",
"evm_block_id": 290504572,
"evm_tx_hash": "0x9f943993b6e6430fe3da448c52b122342c0a629e7eca520d1d22df063c22002b"
}
]
}
| フィールド | タイプ | 説明 |
|---|---|---|
block_id | 整数 | チェックポイントに含まれる最後の ZCash block_id |
smt_root | 文字列 | チェックポイントの SMT ルート |
evm_block_id | 文字列 | チェックポイント作成の EVM block_id |
evm_tx_hash | 文字列 | チェックポイント作成の EVM tx_hash |